"""
Please incorporate the run.py module into your project as it serves as the entry point to the LinkTest automation framework.
Ensure that your project directory is structured as follows:

|---- settings/__init__.py          # This package will be auto-generated by LinkTest if it doesn't exist
|---- tests/                        # All test cases should be placed under the "tests" package
|---- run.py                        # The entry point for LinkTest

@author: Lin Wang
"""

import os
import sys

import traceback

os.environ["LINK_TEST_PROJECT_PATH"] = os.path.dirname(os.path.abspath(__file__))
sys.path.insert(0, os.path.dirname(os.path.abspath(__file__)))
sys.path.extend([os.path.dirname(os.path.abspath(__file__))])

try:
    # windows系统下使用python，linux&MacOS系统下使用python3
    python_cmd = "python" if sys.platform.startswith("win") else "python3"

    os.system(f'{python_cmd} -m pip install --upgrade pip')
    os.system(f'{python_cmd} -m pip install -r requirements.txt')
    os.system(f'{python_cmd} -m pip install --upgrade linktest')

    from linktest import main
except ImportError:
    traceback.print_exc()
if len(sys.argv) > 1:
    main.run_with(sys.argv)
elif len(sys.argv) == 1:
    # 如果不传人任何参数，则 默认执行tests中所有的 testcases
    main.run_with("tests")
